import pandas as pd

import config as cfg

# read in df
df = pd.read_csv(f'dataframes/{cfg.dataframe_name}.csv')



selected_columns = [
    'concept',
    'Conflicts per flight', 
    'Conflicts per flight mission cluster',
    'Conflicts per flight mission mission',
    'Intrusions per flight',
    'Intrusions per flight cluster mission',
    'Intrusions per flight mission mission',
    'Replans per flight',
    'Distance per flight',
    ]

new_df = df[selected_columns]

new_df.to_csv(cfg.dataframe_name + 'results.csv')
latex_code = new_df.to_latex(index=False)
print(latex_code)